Filter participants

POST/participants/filter

Retrieves a paginated list of participants based on filters. This is an authenticated route. It supports filtering by batches, zones, event days, ticket status, and a search field that matches participant name, email, document, or ticket code.

Headers

  • x-api-keystringrequired

    Api key provided on integrations tab in Easyflow platform.

  • x-api-secretstringrequired

    Api Secret provided on integrations tab in Easyflow platform.

Query parameters

  • pageinteger

    Page number. Defaults to 1.

    Default:1

  • limitinteger

    Number of items per page. Defaults to 25.

    Default:25

Request bodyrequired

Content typeapplication/jsonobject

  • eventExternalReferenceIdstring · uuidrequired

    this ID that will be provided here is the product ID

  • batchIdsarray of strings · uuid
  • zoneIdsarray of strings · uuid
  • eventDayIdsarray of strings · uuid
  • participantIdsarray of strings · uuid
  • statusarray of strings

    Possible values:availableusedcancelled

  • fieldstring

    Search field to filter participants by name, email, document, or ticket code.

Responses

200Participants successfully retrieved.

Participants successfully retrieved.

Content typeapplication/jsonobject

  • statusCodeinteger

    Example:200

  • dataobject
    Show child attributesHide child attributes
    • docsarray of objects
      Show child attributesHide child attributes
      • idstring · uuid
      • namestring
      • emailstring
      • internationalIdstring
      • documentobject
        Show child attributesHide child attributes
        • typestring

          Possible values:CPFRGCNPJCNHINTERNATIONAL_ID

        • numberstring
      • phoneobject
        Show child attributesHide child attributes
        • areaCodestring
        • dddstring
        • numberstring
        • isMobileboolean
      • ticketStatusstring

        Possible values:availableusedcancelled

      • codestring
      • hasCheckInboolean
    • limitinteger
    • currentPageinteger
    • nextPageintegernullable
    • totalPagesinteger
    • totalDocsinteger
    • hasNextboolean
400If the provided parameter is invalid, the API will return the following error response:

If the provided parameter is invalid, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid param: []

    Example:Invalid param: []

  • errorstring

    Bad Request

    Example:Bad Request

  • statusCodeinteger

    400

    Example:400

  • errorCodestring

    Code that identifies the error. Present only on some errors.

401If the request is unauthorized, the API will return the following error response:

If the request is unauthorized, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid field

    Example:Unauthorized

  • errorstring

    Unauthorized

    Example:Unauthorized

  • statusCodeinteger

    401

    Example:401

403If the request is forbidden, the API will return the following error response:

If the request is forbidden, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Forbidden resource

    Example:Forbidden resource

  • errorstring

    Forbidden

    Example:Forbidden

  • statusCodeinteger

    403

    Example:403

500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

Content typeapplication/jsonobject

  • statusCodeinteger

    HTTP status code.

    Example:500

  • messagestring

    Explanation of the error.

    Example:Internal Server Error